Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.ui.action.resource.server.monitor
Class VisibilityPortalAction

    java.lang.Object
      org.apache.struts.action.Action
          org.apache.struts.actions.BaseAction
              org.apache.struts.actions.DispatchAction
                  org.hyperic.hq.ui.action.BaseDispatchAction
                      org.hyperic.hq.ui.action.resource.ResourceController
                          org.hyperic.hq.ui.action.resource.common.monitor.visibility.ResourceVisibilityPortalAction
                              org.hyperic.hq.ui.action.resource.server.monitor.VisibilityPortalAction

    public class VisibilityPortalAction

extends ResourceVisibilityPortalAction

A `BaseDispatchAction` that sets up server monitor portals.

Field Summary
`protected static org.apache.commons.logging.Log` | `log`

Fields inherited from class org.apache.struts.actions.DispatchAction
`clazz, methods, types`

Fields inherited from class org.apache.struts.actions.BaseAction
`messages`

Fields inherited from class org.apache.struts.action.Action
`servlet`

Constructor Summary
`VisibilityPortalAction()`

Method Summary
`org.apache.struts.action.ActionForward` | `currentHealth(org.apache.struts.action.ActionMapping mapping, org.apache.struts.action.ActionForm form, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`
`org.apache.struts.action.ActionForward` | `performance(org.apache.struts.action.ActionMapping mapping, org.apache.struts.action.ActionForm form, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`
`org.apache.struts.action.ActionForward` | `resourceMetrics(org.apache.struts.action.ActionMapping mapping, org.apache.struts.action.ActionForm form, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`

Methods inherited from class org.hyperic.hq.ui.action.resource.ResourceController
`fetchReturnPathParams, setNavMapLocation, setResource, setResource, setResource, setReturnPath, setReturnPath`

Methods inherited from class org.hyperic.hq.ui.action.BaseDispatchAction
`execute, getKeyMethodMap`

Methods inherited from class org.apache.struts.actions.DispatchAction
`cancelled, dispatchMethod, getMethod, getMethodName, getParameter, unspecified`

Methods inherited from class org.apache.struts.action.Action
`addErrors, addMessages, execute, generateToken, getErrors, getLocale, getMessages, getResources, getResources, getServlet, isCancelled, isTokenValid, isTokenValid, resetToken, saveErrors, saveErrors, saveMessages, saveMessages, saveToken, setLocale, setServlet`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    protected static org.apache.commons.logging.Log log

Constructor Detail

### VisibilityPortalAction

    public VisibilityPortalAction()

Method Detail

### currentHealth

    public org.apache.struts.action.ActionForward currentHealth(org.apache.struts.action.ActionMapping mapping,
                                                                org.apache.struts.action.ActionForm form,
                                                                javax.servlet.http.HttpServletRequest request,
                                                                javax.servlet.http.HttpServletResponse response)
                                                         throws java.lang.Exception

  Overrides:
    `currentHealth` in class `ResourceVisibilityPortalAction`
  Throws:
    `java.lang.Exception`

### resourceMetrics

    public org.apache.struts.action.ActionForward resourceMetrics(org.apache.struts.action.ActionMapping mapping,
                                                                  org.apache.struts.action.ActionForm form,
                                                                  javax.servlet.http.HttpServletRequest request,
                                                                  javax.servlet.http.HttpServletResponse response)
                                                           throws java.lang.Exception

  Overrides:
    `resourceMetrics` in class `ResourceVisibilityPortalAction`
  Throws:
    `java.lang.Exception`

### performance

    public org.apache.struts.action.ActionForward performance(org.apache.struts.action.ActionMapping mapping,
                                                              org.apache.struts.action.ActionForm form,
                                                              javax.servlet.http.HttpServletRequest request,
                                                              javax.servlet.http.HttpServletResponse response)
                                                       throws java.lang.Exception

  Overrides:
    `performance` in class `ResourceVisibilityPortalAction`
  Throws:
    `java.lang.Exception`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.